Get item - Fabric

Get item

cURL

curl --request GET \
  --url https://api.fabric.inc/v3/carts/{cartId}/items/{itemId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'

Python

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/items/{itemId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response

{
  "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "sku": "SKU3",
  "refId": "41",
  "quantity": 10,
  "priceListId": "10001",
  "position": 1,
  "price": {
    "unit": 10,
    "amount": 100
  },
  "fees": {
    "total": 5,
    "collection": [
      {
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
        "name": "Eco Fee",
        "price": {
          "amount": 12.99
        },
        "taxable": true,
        "attributes": {
          "source": "eco"
        },
        "tax": {
          "total": 3,
          "collection": [
            {
              "amount": 3,
              "attributes": {
                "rate": "5.0",
                "type": "COUNTY"
              }
            }
          ]
        },
        "updatedAt": "2024-06-13T16:50:00.682Z",
        "createdAt": "2024-06-13T16:50:00.682Z",
        "taxDetails": {
          "destinationAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8",
          "originAddress": "c86f777b-1885-4ddf-961d-542ba80a69b8"
        }
      }
    ]
  },
  "promotions": {
    "total": 2,
    "collection": [
      {
        "id": "bb44db95-6fbd-4eed-a1ed-4d99bc91250f",
        "amount": 15,
        "quantity": 3,
        "proration": {
          "spread": [
            {
              "amount": 5,
              "quantity": 3
            }
          ]
        }
      }
    ]
  },
  "adjustments": {
    "total": 2,
    "collection": [
      {
        "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
        "price": {
          "amount": 12.99
        },
        "reason": "Price adjustment from customer representative.",
        "attributes": {
          "source": "CSR"
        },
        "updatedAt": "2024-06-13T16:50:00.682Z",
        "createdAt": "2024-06-13T16:50:00.682Z"
      }
    ]
  },
  "fulfillment": {
    "id": "6d65755f-b1d9-4c9d-bb5b-118d317f8db4",
    "price": {
      "amount": 12.99
    },
    "inventory": {
      "type": "backOrder",
      "channels": {
        "networkCode": "ShipToHome"
      }
    },
    "tax": {
      "total": 3,
      "collection": [
        {
          "amount": 3,
          "attributes": {
            "rate": "5.0",
            "type": "COUNTY"
          }
        }
      ]
    }
  },
  "attributes": {
    "name": "item-custom"
  },
  "tax": {
    "total": 3,
    "collection": [
      {
        "amount": 3,
        "attributes": {
          "rate": "5.0",
          "type": "COUNTY"
        }
      }
    ]
  },
  "taxCode": "10001",
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}

Error Response Examples

{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}

Authorizations